Add a default revision string if we can't find hg
authorSam Lantinga <slouken@libsdl.org>
Sun, 09 May 2010 19:55:28 -0700
changeset 4464 fa77a6429698
parent 4463 d1d5b665adc5
child 4465 3e69e077cb95
child 4570 36fad921c97f
child 4639 f5cd4b6231ba
child 4695 b7918263da92
child 4730 6032ada8b9e5
child 4765 5ff305de5834
Add a default revision string if we can't find hg
build-scripts/showrev.sh
--- a/build-scripts/showrev.sh	Sun May 09 19:51:21 2010 -0700
+++ b/build-scripts/showrev.sh	Sun May 09 19:55:28 2010 -0700
@@ -4,5 +4,4 @@
 
 # FIXME: this prints the tip, which isn't useful if you're on a different
 #  branch, or just not sync'd to the tip.
-hg tip --template 'hg-{rev}:{node|short}'
-
+hg tip --template 'hg-{rev}:{node|short}' || echo "hg-0:baadf00d"